<nav class="navbar-default navbar-static-side nav-theme" role="navigation">
  <div class="sidebar-collapse" (click)="closeopups()">
    <ul class="nav metismenu marg_top" id="side-menu">
      <li class="" [ngClass]="{'active': selectedItem == 'home'}" (click)="listClick($event, 'home')">
        <a [routerLink]="['/admin']">
          <i aria-hidden="true" class="fa fa-home fa-fw"></i>
          <span class="nav-label">Home</span>
        </a>
      </li>
      <li [ngClass]="{'active': selectedItem == 'performance-monitoring'}" (click)="listClick($event, 'performance-monitoring')">
        <a *ngIf="aclMenuCheck('performance-monitoring');" [routerLink]="['/admin/performance-monitoring']">
          <i aria-hidden="true" class="fa fa-line-chart"></i>
          <span class="nav-label">Performance Stats</span>
          <span class="fa arrow"></span>
        </a>
        
        <ul [ngClass]="{'in': ulPopup == 'performance-monitoring'}" class="nav nav-second-level collapse" id="fleet">

          <li *ngIf="aclMenuCheck('performance-mail-stats');" [ngClass]="{'active': selectedItem1 == 'performance-mail-stats'}"
            (click)="listClick1($event, 'performance-mail-stats')">
            <a [routerLink]="['/admin/performance-monitoring/mail-stats']">
              <i aria-hidden="true" class="fa fa-file-o"></i> Key Indicators</a>
          </li>
        </ul>
      </li>

      <li [ngClass]="{'active': selectedItem == 'orders'}" (click)="listClick($event, 'orders')">
        <a *ngIf="aclMenuCheck('Order Management');" [routerLink]="['orders']">
          <i aria-hidden="true" class="fa fa-list-alt"></i>
          <span class="nav-label">
            Order Management </span>
          <span class="fa arrow"></span>
        </a>
        <ul [ngClass]="{'in': ulPopup == 'orders'}" class="nav nav-second-level collapse" id="order-management">
          <li *ngIf="aclMenuCheck('Order - List');" [ngClass]="{'active': selectedItem1 == 'Order - List'}"
            (click)="listClick1($event, 'Order - List')">
            <a [routerLink]="['/admin/orders/list-order']"><i aria-hidden="true" class="fa fa-list-ul"></i> Order List
            </a>
          </li>
          <li *ngIf="aclMenuCheck('Order - Dispatch-history');" [ngClass]="{'active': selectedItem1 == 'Order Rejected History'}"
            (click)="listClick1($event, 'Order Rejected History')">
            <a [routerLink]="['/admin/orders/disp-history']"><i aria-hidden="true" class="fa fa-ban"></i> Rejected History</a>
          </li>
          <li *ngIf="aclMenuCheck('Order - flagged-orders');" [ngClass]="{'active': selectedItem1 == 'Flagged orders'}"
            (click)="listClick1($event, 'Flagged orders')">
            <a [routerLink]="['/admin/orders/flagged-orders']"><i aria-hidden="true" class="fa fa-flag"></i> Flagged orders</a>
          </li>
          <li *ngIf="aclMenuCheck('Order - flagged-trip-speed');" [ngClass]="{'active': selectedItem1 == 'Flagged trip speeds'}"
            (click)="listClick1($event, 'Flagged trip speeds')">
            <a [routerLink]="['/admin/orders/flagged-trip-speed']"><i aria-hidden="true" class="fa fa-tachometer"></i> Flagged trip speeds</a>
          </li>
        </ul>
      </li>
      <li *ngIf="companyType!==2" [ngClass]="{'active': selectedItem == 'role-management'}" (click)="listClick($event, 'role-management')">
        <a *ngIf="aclMenuCheck('Role Management');" [routerLink]="['/admin/role-management']">
          <i aria-hidden="true" class="fa fa-black-tie"></i>
          <span class="nav-label"> Role Management </span>
          <span class="fa arrow"></span>
        </a>
        <ul [ngClass]="{'in': ulPopup == 'role-management'}" class="nav nav-second-level collapse" id="rolemanage">
          <li *ngIf="aclMenuCheck('Roles - List');" [ngClass]="{'active': selectedItem1 == 'Role - List'}"
            (click)="listClick1($event, 'Role - List')">
            <a [routerLink]="['/admin/role-management/role-list']"><i aria-hidden="true" class="fa fa-list-ul"></i> Role List
            </a>
          </li>
          <li *ngIf="aclMenuCheck('Users - List');" [ngClass]="{'active': selectedItem1 == 'User List'}"
            (click)="listClick1($event, 'User List')">
            <a [routerLink]="['/admin/role-management/user-list']"><i aria-hidden="true" class="fa fa-list-alt"></i> User List</a>
          </li>
          <li *ngIf="aclMenuCheck('Users - List');" [ngClass]="{'active': selectedItem1 == 'User Log'}"
            (click)="listClick1($event, 'User Log')">
            <a [routerLink]="['/admin/role-management/userlog']"><i aria-hidden="true" class="fa fa-history"></i> User Log</a>
          </li>
          <li *ngIf="aclMenuCheck('Active - Users');" [ngClass]="{'active': selectedItem1 == 'Active - Users'}"
            (click)="listClick1($event, 'Active - Users')">
            <a [routerLink]="['/admin/role-management/active-users']"><i aria-hidden="true" class="fa fa-eye"></i> Active users</a>
          </li>
        </ul>
      </li>
      <li [ngClass]="{'active': selectedItem == 'Administration'}" (click)="listClick($event, 'Administration')">
        <a *ngIf="aclMenuCheck('Administration');" [routerLink]="['/admin/administration']">
          <i aria-hidden="true" class="fa fa-cog fa-fw"></i>
          <span> Administration </span>
          <span class="fa arrow"></span>
        </a>
        <ul [ngClass]="{'in': ulPopup == 'Administration'}" class="nav nav-second-level collapse" id="admin">
          <li *ngIf="showMenu('promo')" [ngClass]="{'active': selectedItem1 == 'a1'}"
            (click)="listClick1($event, 'a1')">
            <a [routerLink]="['/admin/administration/submenu/promo']"><i aria-hidden="true" class="fa fa-circle-o"></i> Promo
            </a>
          </li>
          <li *ngIf="showMenu('payment')" [ngClass]="{'active': selectedItem1 == 'a2'}"
            (click)="listClick1($event, 'a2')">
            <a [routerLink]="['/admin/administration/submenu/payment']"><i aria-hidden="true" class="fa fa-credit-card-alt"></i> Payment
            </a>
          </li>
          <li *ngIf="showMenu('partners')" [ngClass]="{'active': selectedItem1 == 'a3'}"
            (click)="listClick1($event, 'a3')">
            <a [routerLink]="['/admin/administration/submenu/partners']"><i aria-hidden="true" class="fa fa-user-plus"></i> Partner
            </a>
          </li>
          <li *ngIf="showMenu('vehicles')" [ngClass]="{'active': selectedItem1 == 'a4'}"
            (click)="listClick1($event, 'a4')">
            <a [routerLink]="['/admin/administration/submenu/vehicles']"><i aria-hidden="true" class="fa fa-taxi"></i> Vehicle
            </a>
          </li>
          <li *ngIf="showMenu('zones')" [ngClass]="{'active': selectedItem1 == 'a5'}"
            (click)="listClick1($event, 'a5')">
            <a [routerLink]="['/admin/administration/submenu/zones']"><i aria-hidden="true" class="fa fa-compass"></i> Zones
            </a>
          </li>
          <li *ngIf="aclMenuCheck('Tariffs - List');" [ngClass]="{'active': selectedItem1 == 'tariff'}"
            (click)="listClick1($event, 'tariff')">
            <a [routerLink]="['/admin/administration/tariffs']"><i aria-hidden="true" class="fa fa-money"></i> Tariff</a>
          </li>
          <li *ngIf="aclMenuCheck('Companies-List');" [ngClass]="{'active': selectedItem1 == 'Companies-List'}"
            (click)="listClick1($event, 'Companies-List')">
            <a [routerLink]="['/admin/administration/companies']"><i aria-hidden="true" class="fa fa-industry"></i> Companies
            </a>
          </li>
          <li *ngIf="showMenu('messages');" [ngClass]="{'active': selectedItem1 == 'a7'}"
            (click)="listClick1($event, 'a7')">
            <a [routerLink]="['/admin/administration/submenu/messages']"><i aria-hidden="true" class="fa fa-comments"></i> Message</a>
          </li>
          <li *ngIf="showMenu('other')" [ngClass]="{'active': selectedItem1 == 'a6'}"
            (click)="listClick1($event, 'a6')">
            <a [routerLink]="['/admin/administration/submenu/other']"><i aria-hidden="true" class="fa fa-cog"></i> Other
            </a>
          </li>
        </ul>
      </li>
      <li class="" *ngIf="aclMenuCheck('Drivers - Stats');" [ngClass]="{'active': selectedItem == 'Drivers - Stats'}" (click)="listClick($event, 'Drivers - Stats')">
        <a [routerLink]="['/admin/fleet/driver-stats']">
          <i aria-hidden="true" class="fa fa-user"></i>
          <span class="nav-label"> Driver Stats </span>
          <span class="fa arrow"></span>
        </a>
      </li>
      <li [ngClass]="{'active': selectedItem == 'fleet_management'}" (click)="listClick($event, 'fleet_management')">
        <a *ngIf="aclMenuCheck('Fleet Management');" [routerLink]="['/admin/fleet']">
          <i aria-hidden="true" class="fa fa-car"></i>
          <span class="nav-label">
            Fleet Management
          </span>
          <span class="fa arrow"></span>
        </a>

        <ul [ngClass]="{'in': ulPopup == 'fleet_management'}" class="nav nav-second-level collapse" id="fleet">

          <li *ngIf="aclMenuCheck('Devices - List');" [ngClass]="{'active': selectedItem1 == 'devices'}"
            (click)="listClick1($event, 'devices')">
            <a [routerLink]="['/admin/fleet/devices']">
              <i aria-hidden="true" class="fa fa-tablet"></i> Devices</a>
          </li>
          <li *ngIf="aclMenuCheck('Vehicle Models - List');" [ngClass]="{'active': selectedItem1 == 'vehicle-model'}"
            (click)="listClick1($event, 'vehicle-model')">
            <a [routerLink]="['/admin/fleet/vehicle-model']">
              <i aria-hidden="true" class="fa fa-taxi"></i>
              Vehicle Models</a>
          </li>
          <li *ngIf="aclMenuCheck('Vehicle Models - List');" [ngClass]="{'active': selectedItem1 == 'vehicle-category'}"
            (click)="listClick1($event, 'vehicle-model')">
            <a [routerLink]="['/admin/fleet/vehicle-category']">
              <i aria-hidden="true" class="fa fa-taxi"></i>
              Vehicle Categories</a>
          </li>
          <li *ngIf="aclMenuCheck('Vehicles - List');" [ngClass]="{'active': selectedItem1 == 'vehicles'}"
            (click)="listClick1($event, 'vehicles')">
            <a [routerLink]="['/admin/fleet/vehicles']">
              <i aria-hidden="true" class="fa fa-car"></i> Vehicles</a>
          </li>
          <li *ngIf="aclMenuCheck('Drivers - List');" [ngClass]="{'active': selectedItem1 == 'drivers'}"
            (click)="listClick1($event, 'drivers')">
            <a [routerLink]="['/admin/fleet/drivers']">
              <i aria-hidden="true" class="fa fa-users"></i> Drivers</a>
          </li>
          <li *ngIf="aclMenuCheck('Driver Groups - List');" [ngClass]="{'active': selectedItem1 == 'driver-groups'}"
            (click)="listClick1($event, 'driver-groups')">
            <a [routerLink]="['/admin/fleet/driver-groups']">
              <i aria-hidden="true" class="fa fa-user-plus"></i>
              Driver Groups</a>
          </li>
          <li *ngIf="aclMenuCheck('Additional Services - List');"
            [ngClass]="{'active': selectedItem1 == 'servicegroup'}" (click)="listClick1($event, 'servicegroup')">
            <a [routerLink]="['/admin/fleet/servicegroup']">
              <i aria-hidden="true" class="fa fa-cart-plus"></i> Additional Services</a>
          </li>
          <li *ngIf="aclMenuCheck('External Drivers - List');" [ngClass]="{'active': selectedItem1 == 'ext-drivers'}"
            (click)="listClick1($event, 'ext-drivers')">
            <a [routerLink]="['/admin/fleet/ext-driver/list']">
              <i aria-hidden="true" class="fa fa-users"></i> External Drivers</a>
          </li>
        </ul>
      </li>
      <li *ngIf="companyType!==2" [ngClass]="{'active': selectedItem == 'shift_management'}" (click)="listClick($event, 'shift_management')">
        <a *ngIf="aclMenuCheck('Shift Management');" [routerLink]="['/admin/shift']">
          <i aria-hidden="true" class="fa fa-clock-o"></i>
          <span class="nav-label">Shift Management
          </span>
          <span class="fa arrow"></span>
        </a>
        <ul [ngClass]="{'in': ulPopup == 'shift_management'}" class="nav nav-second-level collapse" id="shift">
          <li *ngIf="aclMenuCheck('Shift Timings - List');" [ngClass]="{'active': selectedItem1 == 'shift-timings'}"
            (click)="listClick1($event, 'shift-timings')">
            <a [routerLink]="['/admin/shift/shift-timings']">
              <i aria-hidden="true" class="fa fa-clock-o"></i>
              Shift timing</a>
          </li>
          <li *ngIf="aclMenuCheck('Shifts - List');" [ngClass]="{'active': selectedItem1 == 'shifts'}"
            (click)="listClick1($event, 'shifts')">
            <a [routerLink]="['/admin/shift/shifts']">
              <i aria-hidden="true" class="fa fa-clock-o fa-exchange"></i> Shifts</a>
          </li>
        </ul>
      </li>
      <li [ngClass]="{'active': selectedItem == 'Wallet'}" (click)="listClick($event, 'Wallet')">
        <a *ngIf="aclMenuCheck('Wallet');" [routerLink]="['/admin/wallet']">
          <i aria-hidden="true" class="fa fa-list-alt"></i>
          <span class="nav-label">
            Wallet </span>
          <span class="fa arrow"></span>
        </a>
        <ul></ul>
      </li>
      <li [ngClass]="{'active': selectedItem == 'Finance'}" (click)="listClick($event, 'Finance')">
        <a *ngIf="aclMenuCheck('Finance');" [routerLink]="['/admin/finance']">
          <i aria-hidden="true" class="fa fa-list-alt"></i>
          <span class="nav-label">
            Finance </span>
          <span class="fa arrow"></span>
        </a>
        <ul></ul>
      </li>
      <li [ngClass]="{'active': selectedItem == 'Marketing'}" (click)="listClick($event, 'Marketing')">
        <a *ngIf="aclMenuCheck('Marketing');" [routerLink]="['/admin/marketing']">
          <i aria-hidden="true" class="fa fa-briefcase"></i>
          <span class="nav-label">Marketing
          </span>
          <span class="fa arrow"></span>
        </a>
        <ul [ngClass]="{'in': ulPopup == 'Marketing'}" class="nav nav-second-level collapse" id="shift">
          <li *ngIf="aclMenuCheck('Marketing Promocode - List');"
            [ngClass]="{'active': selectedItem1 == 'MarketingPromocodeList'}"
            (click)="listClick1($event, 'MarketingPromocodeList')">
            <a [routerLink]="['/admin/marketing/list']">
              <i aria-hidden="true" class="fa fa-clock-o"></i>
              Promocode</a>
          </li>
          <li *ngIf="aclMenuCheck('Marketing Transactions');"
            [ngClass]="{'active': selectedItem1 == 'MarketingTransactions'}"
            (click)="listClick1($event, 'MarketingTransactions')">
            <a [routerLink]="['/admin/marketing/transactions']">
              <i aria-hidden="true" class="fa fa-clock-o fa-exchange"></i> Transactions</a>
          </li>
          <li *ngIf="aclMenuCheck('Marketing Promocode-History');"
            [ngClass]="{'active': selectedItem1 == 'Marketing Promocode-History'}"
            (click)="listClick1($event, 'Marketing Promocode-History')">
            <a [routerLink]="['/admin/marketing/promohistory']">
              <i aria-hidden="true" class="fa fa-clock-o fa-exchange"></i> Promocode History</a>
          </li>
        </ul>
      </li>

      <li [ngClass]="{'active': selectedItem == 'customer'}" (click)="listClick($event, 'customer')">
        <a *ngIf="aclMenuCheck('Customers - List');" [routerLink]="['customer']">
          <i aria-hidden="true" class="fa fa-users"></i>
          <span class="nav-label">
            Customers </span>
          <span class="fa arrow"></span>
        </a>
        <ul [ngClass]="{'in': ulPopup == 'customer'}" class="nav nav-second-level collapse" id="shift">
          <li *ngIf="aclMenuCheck('Customers - List');" [ngClass]="{'active': selectedItem1 == 'Customers'}"
            (click)="listClick1($event, 'Customers')">
            <a [routerLink]="['/admin/customer/list']">
              <i aria-hidden="true" class="fa fa-users"></i>
              Customers</a>
          </li>
          <li *ngIf="aclMenuCheck('Push-Notification');" [ngClass]="{'active': selectedItem1 == 'Push-Notification'}"
            (click)="listClick1($event, 'Push-Notification')">
            <a [routerLink]="['/admin/customer/push-notification']">
              <i aria-hidden="true" class="fa fa-bell-o"></i> Push Notification</a>
          </li>
          <li *ngIf="aclMenuCheck('Email-Notification');" [ngClass]="{'active': selectedItem1 == 'Email-Notification'}"
            (click)="listClick1($event, 'Email-Notification')">
            <a [routerLink]="['/admin/customer/email-notification']">
              <i aria-hidden="true" class="fa fa-envelope-o"></i>
              Email Notification</a>
          </li>
          <li *ngIf="aclMenuCheck('SMS-Notification');" [ngClass]="{'active': selectedItem1 == 'Sms-Notification'}"
            (click)="listClick1($event, 'Sms-Notification')">
            <a [routerLink]="['/admin/customer/sms-notification']">
              <i aria-hidden="true" class="fa fa-commenting-o"></i>SMS Notification</a>
          </li>
          <li *ngIf="aclMenuCheck('App-Notification');" [ngClass]="{'active': selectedItem1 == 'Sms-Notification'}"
            (click)="listClick1($event, 'Sms-Notification')">
            <a [routerLink]="['/admin/customer/app-notification']">
              <i aria-hidden="true" class="fa fa-mobile"></i>App Notification</a>
          </li>
          <li *ngIf="aclMenuCheck('Packages');" [ngClass]="{'active': selectedItem1 == 'Packages'}"
            (click)="listClick1($event, 'Packages')">
            <a [routerLink]="['/admin/customer/packages']">
              <i aria-hidden="true" class="fa fa-envelope-o"></i>
              Customer Packages</a>
          </li>
          <li *ngIf="aclMenuCheck('Package-users');" [ngClass]="{'active': selectedItem1 == 'Package-users'}"
            (click)="listClick1($event, 'Package-users')">
            <a [routerLink]="['/admin/customer/package-users']">
              <i aria-hidden="true" class="fa fa-users"></i>
              Packages users</a>
          </li>
        </ul>
      </li>

      <li>
        <a *ngIf="aclMenuCheck('Dispatcher');" (click)="gotodispatcher()" target="_blank">
          <i aria-hidden="true" class="fa fa-diamond"></i>
          <span class="nav-label">Dispatcher</span>
        </a>
      </li>
    </ul>
  </div>
</nav>